Create Coupon
curl --request POST \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/coupons \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"name": "Summer Sale",
"percent_off": 25,
"duration": "once"
}
}
'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/coupons"
payload = { "data": {
"name": "Summer Sale",
"percent_off": 25,
"duration": "once"
} }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {name: 'Summer Sale', percent_off: 25, duration: 'once'}})
};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "SUMMER20",
"object": "coupon",
"amount_off": null,
"created": 1700000000,
"currency": null,
"duration": "once",
"duration_in_months": null,
"livemode": true,
"max_redemptions": null,
"metadata": {},
"name": "Summer Sale",
"percent_off": 25,
"redeem_by": null,
"times_redeemed": 0,
"valid": true
}{
"error": "An unexpected error occurred"
}Coupons
Create Coupon
Create a coupon for a connected account.
POST
/
stripe
/
connect
/
accounts
/
{accountId}
/
coupons
Create Coupon
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
Body
application/json
Show child attributes
Show child attributes
Response
Created
The coupon ID
Example:
"SUMMER20"
Example:
"coupon"
Example:
null
Example:
1700000000
Example:
null
Example:
"once"
Example:
null
Example:
true
Example:
null
Example:
{}
Example:
"Summer Sale"
Example:
25
Example:
null
Example:
0
Example:
true
⌘I
